.main-newsletter {
  display: flex;
  justify-content: center;
  padding: 16px;
  border-top: 1px solid var(--gray-500);
}

.main-newsletter-wrapper {
  width: 100%;
  max-width: 476px;
  display: flex;
  flex-direction: column;
  gap: 5px;
}

.main-newsletter-title {
  font-weight: 500;
  font-size: 18px;
  line-height: 21px;
  letter-spacing: 0.05cm;
}

.main-newsletter-fields-wrapper {
  width: 100%;
  display: flex;
  gap: 7px;
}

.main-newsletter-input {
  width: 100%;
  max-width: 342px;
  padding: 13px 16px;
  border-radius: 4px;
  outline: 0;
  border: 1px solid var(--gray-300);
}

.main-newsletter-input::placeholder {
  color: var(--gray-500);
}

.main-newsletter-button {
  width: 100%;
  max-width: 126px;
  padding: 14px 40px;
  font-weight: 700;
  font-size: 12px;
  line-height: 14px;
  letter-spacing: 0.05cm;
  border: 0;
  border-radius: 4px;
  background: var(--blue-500);
  color: var(--white);
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
  cursor: pointer;
  transition: 0.2s ease-in-out;
}

.main-newsletter-button:hover {
  opacity: 70%;
}

.main-newsletter-button:active {
  opacity: 100%;
}

@media screen and (max-width: 529px) {
  .main-newsletter {
    padding-top: 21px;
    margin-bottom: 87px;
  }

  .main-newsletter-wrapper {
    gap: 12px;
  }

  .main-newsletter-title {
    font-size: 14px;
    line-height: 16px;
  }

  .main-newsletter-fields-wrapper {
    flex-direction: column;
    gap: 16px;
  }

  .main-newsletter-input {
    border-radius: 0;
    max-width: none;
  }

  .main-newsletter-button {
    border-radius: 0;
    max-width: none;
    box-shadow: none;
  }
}
